package com.mortals.xhx.module.demo.detail.web;
import com.mortals.xhx.base.system.param.service.ParamService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.demo.detail.model.DemoDetailEntity;
import com.mortals.xhx.module.demo.detail.service.DemoDetailService;
import java.util.Map;
import java.util.List;
/**
* DemoDetailController
*
* 测试详细 控制器
*
* @author zxfei
* @date 2021-10-22
*/
@RestController
@RequestMapping("demo/detail")
public class DemoDetailController extends BaseCRUDJsonMappingController<DemoDetailService,DemoDetailForm,DemoDetailEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DemoDetailController(){
        super.setFormClass(DemoDetailForm.class);
        super.setModuleDesc( "测试详细");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, DemoDetailForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

}