-- ----------------------------
-- ${functionName}表
-- ----------------------------
DROP TABLE IF EXISTS `${tableName}`;
CREATE TABLE ${tableName}(
<#list columns as column>
    <#if column.isIncrement==1 >
        <#assign autoInc>auto_increment</#assign>
    <#else>
        <#assign autoInc></#assign>
    </#if>
    <#if column.isRequired==1 >
        <#assign Required>NOT NULL</#assign>
    <#else>
        <#assign Required></#assign>
    </#if>
    <#if column.isRequired==1 >
        <#assign Required>NOT NULL</#assign>
    <#else>
        <#assign Required></#assign>
    </#if>
    <#if column.javaType=="String" >
        <#assign Type>CHARACTER SET utf8 COLLATE utf8_general_ci</#assign>
    <#else>
        <#assign Type></#assign>
    </#if>
    <#if column.defaultValue??>
        <#assign Default>DEFAULT '${column.defaultValue}'</#assign>
    <#else>
        <#assign Default>DEFAULT NULL</#assign>
    </#if>
    `${column.columnName}` ${column.columnType} ${Required} ${Default} ${Type}  ${autoInc}  COMMENT '${column.columnComment}',
</#list>
PRIMARY KEY  (`${pkColumn.columnName}`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='${functionName}';
