package com.mortals.xhx.module.doc.form.web;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.doc.form.model.DocFormEntity;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.mortals.framework.model.Context;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import com.mortals.framework.web.BaseCRUDJsonMappingController;
import com.mortals.xhx.module.doc.form.model.vo.DocFormVo;
import com.mortals.xhx.module.doc.form.service.DocFormService;
import java.util.Map;
import java.util.List;
/**
* DocFormController
*
* doc单 控制器
*
* @author zxfei
* @date 2021-10-16
*/
@RestController
@RequestMapping("doc/form")
public class DocFormController extends BaseCRUDJsonMappingController<DocFormService,DocFormForm, DocFormEntity,Long> {

    @Autowired
    private ParamService paramService;

    public DocFormController(){
        super.setFormClass(DocFormForm.class);
        super.setModuleDesc( "doc单");
    }

    @Override
    protected void init(HttpServletRequest request, HttpServletResponse response, DocFormForm form, Map<String, Object> model, Context context) {
        super.init(request, response, form, model, context);
    }

}