Version |  Update Time  | Status | Author |  Description
---|---|---|---|---
v2021-10-14 14:08:21|2021-10-14 14:08:21|auto|@finegirl|Created by smart-doc



## 一件事微信对外服务接口
### 一件事主题列表(包含主题包)
**URL:** http://localhost:28080/zwfw/proced/thing/oneTopiclist

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 一件事主题列表(包含主题包)

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
openId|string|微信开放id|false|-
type|int32|主题包类型（1：个人服务，2：企业服务）|false|-
page|int32|当前请求页数|false|-
limit|int32|每页记录数|false|-
keywords|string|搜索关键词|false|-

**Request-example:**
```
curl -X POST -i http://localhost:28080/zwfw/proced/thing/oneTopiclist --data 'limit=10&page=1&keywords=kuirrl&openId=8&type=595'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|array|No comments found.|-
└─any object|object|any object.|-

**Response-example:**
```
{
  "code": 54,
  "msg": "gdo76h",
  "data": [
    {
      "mapKey": {
        "waring": "You may use java.util.Object for Map value; smart-doc can't be handle."
      }
    }
  ]
}
```

### 问答答案提交后返回的详细结果
**URL:** http://localhost:28080/zwfw/proced/thing/ansResults

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 问答答案提交后返回的详细结果

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
openId|string|微信开放id|false|-
optionIds|array|问答最后答案选项ID（多问题线）|false|-
key|string|问题路线id?|false|-

**Request-example:**
```
curl -X POST -i http://localhost:28080/zwfw/proced/thing/ansResults --data 'openId=8&key=0gtgo6'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-
└─matterInfoList|array|事项列表列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|int64|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|string|事项名称|-
└─acceptInfoList|array|受理条件列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|int64|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─title|string|受理条件|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|string|受理条件|-
└─flowLimitInfoList|array|办理流程列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|int64|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowName|string|办理流程|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowTime|string|办理时长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowTurnOut|string|转外时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowDesc|string|办理流程说明|-
└─datumInfoList|array|事项材料列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|int64|材料id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialName|string|材料名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|int64|事项Id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|string|材料形式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|string|是否必交，0 否 1 是 默认0|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialType|string|材料类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|string|电子材料格式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|string|材料来源渠道|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperNum|int32|纸质材料份数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperGg|string|纸质材料规格|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|string|减免模式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sealWay|string|盖章方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|string|是否减免|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|string|材料是否容缺|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSourceSm|string|来源渠道说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remarkSub|string|填报须知|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|string|受理标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─clauseContent|string|要求提供材料的依据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|string|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|string|材料创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─attachList|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datumid|int64|材料id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileName|string|附件名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileUrl|string|附件下载地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|int32|附件类型 1 示例样表 2空白表格 默认1|-
└─qAndAInfoList|array|常见问题列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|int64|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─question|string|问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─answer|string|回答|-

**Response-example:**
```
{
  "code": 836,
  "msg": "9jrd2o",
  "data": {
    "matterInfoList": [
      {
        "id": 76,
        "matterName": "涛.贾"
      }
    ],
    "acceptInfoList": [
      {
        "matterId": 403,
        "title": "6w89gy",
        "content": "ar2kxe"
      }
    ],
    "flowLimitInfoList": [
      {
        "matterId": 697,
        "flowName": "涛.贾",
        "flowTime": "2021-10-14 14:08:25",
        "flowTurnOut": "426gjx",
        "flowDesc": "moxvgk"
      }
    ],
    "datumInfoList": [
      {
        "id": 232,
        "materialName": "涛.贾",
        "matterId": 687,
        "materialProperty": "fe7nei",
        "isMust": "gbpiqu",
        "materialType": "abylra",
        "electronicgs": "iufy0b",
        "materialSource": "i9tfhx",
        "paperNum": 669,
        "paperGg": "sbsosn",
        "jianmMs": "73cvoh",
        "sealWay": "we0k4a",
        "isjianm": "8fhxlb",
        "isLack": "gznmwt",
        "materialSourceSm": "n0gowu",
        "remarkSub": "an0r7r",
        "remark": "8ls3ps",
        "clauseContent": "ytz04h",
        "summary": "co9z60",
        "createTime": "2021-10-14 14:08:29",
        "attachList": [
          {
            "datumid": 895,
            "fileName": "涛.贾",
            "fileUrl": "www.xn---xn--zqq-dl3p256h.co",
            "filetype": 253
          }
        ]
      }
    ],
    "qAndAInfoList": [
      {
        "matterId": 601,
        "question": "n8de6u",
        "answer": "fyq3hb"
      }
    ]
  }
}
```

### 提交后请求返回数据
**URL:** http://localhost:28080/zwfw/proced/thing/datum_data

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 提交后请求返回数据

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
key|string|No comments found.|false|-
open_id|string|No comments found.|false|-

**Request-example:**
```
curl -X POST -i http://localhost:28080/zwfw/proced/thing/datum_data --data 'open_id=8&key=02smut'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-
└─matterInfoList|array|事项列表列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|int64|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterName|string|事项名称|-
└─acceptInfoList|array|受理条件列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|int64|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─title|string|受理条件|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─content|string|受理条件|-
└─flowLimitInfoList|array|办理流程列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|int64|事项matter id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowName|string|办理流程|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowTime|string|办理时长|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowTurnOut|string|转外时限|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─flowDesc|string|办理流程说明|-
└─datumInfoList|array|事项材料列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─id|int64|材料id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialName|string|材料名|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|int64|事项Id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialProperty|string|材料形式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isMust|string|是否必交，0 否 1 是 默认0|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialType|string|材料类型|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─electronicgs|string|电子材料格式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSource|string|材料来源渠道|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperNum|int32|纸质材料份数|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─paperGg|string|纸质材料规格|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─jianmMs|string|减免模式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─sealWay|string|盖章方式|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isjianm|string|是否减免|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─isLack|string|材料是否容缺|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─materialSourceSm|string|来源渠道说明|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remarkSub|string|填报须知|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─remark|string|受理标准|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─clauseContent|string|要求提供材料的依据|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─summary|string|备注|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─createTime|string|材料创建时间|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─attachList|array|No comments found.|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datumid|int64|材料id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileName|string|附件名称|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileUrl|string|附件下载地址|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filetype|int32|附件类型 1 示例样表 2空白表格 默认1|-
└─qAndAInfoList|array|常见问题列表|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─matterId|int64|事项id|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─question|string|问题|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─answer|string|回答|-

**Response-example:**
```
{
  "code": 305,
  "msg": "25jh8h",
  "data": {
    "matterInfoList": [
      {
        "id": 998,
        "matterName": "涛.贾"
      }
    ],
    "acceptInfoList": [
      {
        "matterId": 90,
        "title": "mo24in",
        "content": "abt6qv"
      }
    ],
    "flowLimitInfoList": [
      {
        "matterId": 25,
        "flowName": "涛.贾",
        "flowTime": "2021-10-14 14:08:25",
        "flowTurnOut": "yilqls",
        "flowDesc": "x4axxc"
      }
    ],
    "datumInfoList": [
      {
        "id": 166,
        "materialName": "涛.贾",
        "matterId": 708,
        "materialProperty": "8lm8ps",
        "isMust": "ejp9fv",
        "materialType": "a4o11p",
        "electronicgs": "2e6ohm",
        "materialSource": "71s6zt",
        "paperNum": 549,
        "paperGg": "3qyrnr",
        "jianmMs": "8pnl8n",
        "sealWay": "8frspv",
        "isjianm": "on9aw8",
        "isLack": "cuvjso",
        "materialSourceSm": "c1m9d9",
        "remarkSub": "c6lwuo",
        "remark": "byxeve",
        "clauseContent": "opt058",
        "summary": "mdgyvv",
        "createTime": "2021-10-14 14:08:29",
        "attachList": [
          {
            "datumid": 317,
            "fileName": "涛.贾",
            "fileUrl": "www.xn---xn--zqq-dl3p256h.co",
            "filetype": 96
          }
        ]
      }
    ],
    "qAndAInfoList": [
      {
        "matterId": 712,
        "question": "oevcic",
        "answer": "hhdrvt"
      }
    ]
  }
}
```

### 上传附件
**URL:** http://localhost:28080/zwfw/proced/thing/uploadFile

**Type:** POST


**Content-Type:** multipart/form-data

**Description:** 上传附件

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
file|file|No comments found.|true|-

**Request-example:**
```
curl -X POST -H 'Content-Type: multipart/form-data' -i http://localhost:28080/zwfw/proced/thing/uploadFile
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-

**Response-example:**
```
{
  "code": 91,
  "msg": "jug6rf",
  "data": {
    "mapKey1": "rs1ub2",
    "mapKey2": "11sug1"
  }
}
```

### 删除附件
**URL:** http://localhost:28080/zwfw/proced/thing/delFile

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 删除附件

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
openId|string|微信开放id|false|-
filePath|string|文件路径|false|-

**Request-example:**
```
curl -X POST -i http://localhost:28080/zwfw/proced/thing/delFile --data 'filePath=4gn7hw&openId=8'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-

**Response-example:**
```
{
  "code": 415,
  "msg": "qb62od",
  "data": "everzo"
}
```

### 查询用户信息
**URL:** http://localhost:28080/zwfw/proced/thing/searchMember

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 查询用户信息

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
openId|string|微信开放id|false|-

**Request-example:**
```
curl -X POST -i http://localhost:28080/zwfw/proced/thing/searchMember --data 'openId=8'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-
└─id|object|No comments found.|-
└─createTime|string|创建时间|-
└─createUser|string|创建用户|-
└─createUserId|int64|No comments found.|-
└─deleted|int32|No comments found.|-
└─createUserName|string|创建用户名称|-
└─createUserDeptId|int64|No comments found.|-
└─createUserDeptName|string|No comments found.|-
└─updateTime|string|No comments found.|-
└─updateUser|string|No comments found.|-
└─updateUserId|int64|No comments found.|-
└─updateUserName|string|No comments found.|-
└─updateUserDeptId|int64|No comments found.|-
└─updateUserDeptName|string|No comments found.|-
└─idcardName|string|姓名|-
└─idcardSex|string|性别|-
└─idcardNation|string|民族|-
└─idcardBorn|string|出生|-
└─idcardAddress|string|地址|-
└─idcardIDCardNo|string|身份证号|-
└─idcardGrantDept|string|发证机关|-
└─idcardUserLifeBegin|string|有效期开始|-
└─idcardUserLifeEnd|string|有效期结束|-
└─idcardDataPhotoFileName|string|照片|-
└─phone|string|手机号|-
└─unionid|string|unionid，同一个微信开放平台的唯一标识|-
└─openId|string|微信openId|-
└─picImage|string|头像地址|-
└─nickname|string|昵称|-
└─realName|string|真实姓名|-
└─gender|string|1：男，2：女|-
└─icon|string|微信头像|-
└─zImg|string|身份证正面照片|-
└─bImg|string|身份证背面照片|-
└─siteid|int64|默认选择的站点id|-
└─username|string|天府通办用户名|-
└─lasttime|string|最后登录时间|-
└─remark|string|备注|-
└─status|int32|用户状态，0:正常，1:禁用,默认0|-

**Response-example:**
```
{
  "code": 241,
  "msg": "7rce3x",
  "data": {
    "id": "edvk4n",
    "createTime": "2021-10-14 14:08:29",
    "createUser": "nv67z5",
    "createUserId": 860,
    "deleted": 660,
    "createUserName": "涛.贾",
    "createUserDeptId": 465,
    "createUserDeptName": "涛.贾",
    "updateTime": "2021-10-14 14:08:29",
    "updateUser": "kamlwd",
    "updateUserId": 469,
    "updateUserName": "涛.贾",
    "updateUserDeptId": 198,
    "updateUserDeptName": "涛.贾",
    "idcardName": "涛.贾",
    "idcardSex": "7pc1i2",
    "idcardNation": "3tinpl",
    "idcardBorn": "yxgl6k",
    "idcardAddress": "段侬14号， 泸州， 吉 709471",
    "idcardIDCardNo": "ndtymz",
    "idcardGrantDept": "7po359",
    "idcardUserLifeBegin": "m5bzpb",
    "idcardUserLifeEnd": "853rpp",
    "idcardDataPhotoFileName": "涛.贾",
    "phone": "17002625379",
    "unionid": "8",
    "openId": "8",
    "picImage": "i8cymq",
    "nickname": "wallace.wolf",
    "realName": "涛.贾",
    "gender": "vym1a6",
    "icon": "bluwtw",
    "zImg": "9fnhva",
    "bImg": "uepmxz",
    "siteid": 331,
    "username": "涛.贾",
    "lasttime": "2021-10-14 14:08:29",
    "remark": "iwwih4",
    "status": 18
  }
}
```

### 一件事办理资料提交
**URL:** http://localhost:28080/zwfw/proced/thing/submitDatum

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 一件事办理资料提交

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
openId|string|微信开放id|false|-
classifyTopicId|int64|申请主题包id|false|-
siteId|int64|站点ID|false|-
name|string|申请人姓名|false|-
phone|string|电话|false|-
idcard|string|身份证|false|-
isAgent|int32|0本人办理 1代办|false|-
manner|int32|0自主取件 1代办领取 (取件方式)|false|-
matterReqList|array|申请事项列表|false|-
└─matterid|int64|事项ID|false|-
└─attachmentList|array|申请材料列表|false|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─datumId|int64|材料id|false|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─fileName|string|附件名称|false|-
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;└─filepath|string|附件存储地址|false|-

**Request-example:**
```
curl -X POST -i http://localhost:28080/zwfw/proced/thing/submitDatum --data 'isAgent=899&phone=17002625379&manner=944&classifyTopicId=830&matterReqList[0].attachmentList[0].datumId=797&siteId=440&matterReqList[0].attachmentList[0].filepath=dcbehl&matterReqList[0].attachmentList[0].fileName=涛.贾&name=涛.贾&matterReqList[0].matterid=491&idcard=371208198101227551&openId=8'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-

**Response-example:**
```
{
  "code": 726,
  "msg": "kzgz7a",
  "data": "gp2b3u"
}
```

### 我的办理
**URL:** http://localhost:28080/zwfw/proced/thing/myHandle

**Type:** POST


**Content-Type:** application/x-www-form-urlencoded;charset=utf-8

**Description:** 我的办理

**Query-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
openId|string|微信开放id|false|-

**Request-example:**
```
curl -X POST -i http://localhost:28080/zwfw/proced/thing/myHandle --data 'openId=8'
```
**Response-fields:**

Field | Type|Description|Since
---|---|---|---
code|int32|No comments found.|-
msg|string|No comments found.|-
data|array|No comments found.|-
└─id|object|No comments found.|-
└─createTime|string|创建时间|-
└─createUser|string|创建用户loginName|-
└─createUserId|int64|No comments found.|-
└─deleted|int32|No comments found.|-
└─createUserName|string|No comments found.|-
└─createUserDeptId|int64|No comments found.|-
└─createUserDeptName|string|No comments found.|-
└─updateTime|string|变更时间|-
└─updateUser|string|变更用户loginName|-
└─updateUserId|int64|No comments found.|-
└─updateUserName|string|No comments found.|-
└─updateUserDeptId|int64|No comments found.|-
└─updateUserDeptName|string|No comments found.|-
└─taskId|string|流程任务id|-
└─processInstanceId|string|流程实例id|-
└─memberId|int64|微信用户ID|-
└─openId|string|微信OPENID|-
└─classifyTopicId|int64|申请主题包id|-
└─address|string|邮寄地址|-
└─linkman|string|联系人|-
└─phone|int32|联系电话|-
└─manner|int32|取件方式 0自主取件  1邮寄|-
└─getnum|string|取件码|-
└─number|string|快递单号|-
└─isAgent|int32|是否代办 0是本人办理 1他人代办|-
└─isRevoke|int32|0是否撤销 1撤销|-
└─siteid|int32|站点ID|-
└─status|int32|审批状态 0未审核 1 审核中 2 审核成功|-

**Response-example:**
```
{
  "code": 508,
  "msg": "pp5m23",
  "data": [
    {
      "id": "8wsue6",
      "createTime": "2021-10-14 14:08:29",
      "createUser": "jxns4n",
      "createUserId": 751,
      "deleted": 588,
      "createUserName": "涛.贾",
      "createUserDeptId": 272,
      "createUserDeptName": "涛.贾",
      "updateTime": "2021-10-14 14:08:29",
      "updateUser": "osyzur",
      "updateUserId": 737,
      "updateUserName": "涛.贾",
      "updateUserDeptId": 9,
      "updateUserDeptName": "涛.贾",
      "taskId": "8",
      "processInstanceId": "8",
      "memberId": 718,
      "openId": "8",
      "classifyTopicId": 866,
      "address": "段侬14号， 泸州， 吉 709471",
      "linkman": "lgkzbq",
      "phone": 458,
      "manner": 185,
      "getnum": "zkceq5",
      "number": "671cq1",
      "isAgent": 738,
      "isRevoke": 727,
      "siteid": 759,
      "status": 92
    }
  ]
}
```

## 错误码列表
Error code |Description
---|---
200|ok
400|Bad Request
401|Unauthorized
403|Forbidden
404|Not Found
415|Unsupported Media Type
500|Internal Server Error
502|Bad Gateway
503|Service Unavailable

